### Hierarchy

- Dirent

## Index

### Properties

- name

### Methods

- isBlockDevice
- isCharacterDevice
- isDirectory
- isFIFO
- isFile
- isSocket
- isSymbolicLink

## Properties

### name

name: string

- Defined in node_modules/@types/node/fs.d.ts:48

## Methods

### isBlockDevice

- isBlockDevice(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:43

  #### Returns boolean

### isCharacterDevice

- isCharacterDevice(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:44

  #### Returns boolean

### isDirectory

- isDirectory(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:42

  #### Returns boolean

### isFIFO

- isFIFO(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:46

  #### Returns boolean

### isFile

- isFile(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:41

  #### Returns boolean

### isSocket

- isSocket(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:47

  #### Returns boolean

### isSymbolicLink

- isSymbolicLink(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:45

  #### Returns boolean

Generated using TypeDoc